Subject: bug#9300: 24.0.50; `bounds-of-thing-at-point' does not return nil when just after THING

From: Tino Calancha <[email-masked]>
Date: Tue, 21 Jun 2016 12:01:16 +0900

> FWIW, I agree with Dmitry: this has been a de-facto behavior long
> enough to consider it the correct one.  If documentation is confusing
> in that it says otherwise, we should fix the documentation.
* If the behaviour is obviously correct the funcs. are easier to use.
* If the definition allows for more general uses, as Drew explained, 
much better.
* For code where the existence of the THING (exactly) at point really
     matters, the current behaviour may cause undesirable effects:

     * Karen Lisp, the mother of 8 yr old Emily, is enjoying a family 
cruise.
     * Karen just downloaded in her favourite iTHING one new APP based on
       'thingatpt:
       - It shows an alert whenever there is _no_ a boat at point.
       - The point equals Emily position.
     * The ship is not moving: they throw the anchor during the Hawaiian
       dance show, which Karen is watching while Emily went to play.

     1) First, Emily went to the prow to receive some fresh air.
        => App: no alert
     2) Later, Emily went to the middle of the ship following one cat.
        => App: no alert
     3) Finally, she went to the stern to see the dolphins.
        => App: no alert
     4) While Emily was feeding the dolphins with her cheeseburger,
        she fell down to the water.
        => App: no alert!!!

     I)  Hopefully Emily knows how to swim.

     II) Emily would be OK if
         (thing-at-point THING)
         return nil whenever there is no THING at point.